net.sf.jasperreports.export

## Class SimpleJsonExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.SimpleJsonExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, JsonExporterConfiguration

      public class SimpleJsonExporterConfiguration
      extends SimpleExporterConfiguration
      implements JsonExporterConfiguration

  Version:
    $Id: SimpleJsonExporterConfiguration.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleJsonExporterConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isFlushOutput()` A flag that determines whether the JSON exporter should flush the output stream after writing the JSON content to it.
    `void` | `setFlushOutput(java.lang.Boolean flushOutput)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleJsonExporterConfiguration

          public SimpleJsonExporterConfiguration()

  - ### Method Detail

    - #### isFlushOutput

          public java.lang.Boolean isFlushOutput()

      Description copied from interface: `JsonExporterConfiguration`
      A flag that determines whether the JSON exporter should flush the output stream after writing the JSON content to it.
      Specified by:
        `isFlushOutput` in interface `JsonExporterConfiguration`
      See Also:
        `HtmlExporterConfiguration.PROPERTY_FLUSH_OUTPUT`

    - #### setFlushOutput

          public void setFlushOutput(java.lang.Boolean flushOutput)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com